Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 177261 - [68cat] Scanning projects blocks Code-Formating
[68cat] Scanning projects blocks Code-Formating
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P3 with 3 votes (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks: 166668
  Show dependency treegraph
 
Reported: 2009-11-20 01:29 UTC by stefan79
Modified: 2012-02-09 09:06 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The NPS-File while Scaning-Projects (1.20 MB, application/octet-stream)
2009-11-20 01:29 UTC, stefan79
Details
The Logfile. (5.31 MB, application/octet-stream)
2009-11-20 01:34 UTC, stefan79
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stefan79 2009-11-20 01:29:06 UTC
Created attachment 91393 [details]
The NPS-File while Scaning-Projects

Today I tried to format some Code (about 10 lines) while Scanning projects was running.
I had to wait more than 50 Minutes, then the Exception from bug 176666 occured and the code wasn´t formated.

Why Code-Formating is blocked by Scanning-Projects?
Editor-Actions shouldn´t be blocked by Scanning-Projects.
Comment 1 stefan79 2009-11-20 01:34:56 UTC
Created attachment 91394 [details]
The Logfile.
Comment 2 Max Sauer 2009-11-20 02:37:28 UTC
Yes, this is a known problem, but currently not resolvable under current infrastructure. However, there should be a dialog displayed, allowing to cancel the action, has it been displayed? Thanks.
Comment 3 stefan79 2009-11-20 03:46:30 UTC
The dialog was displayed.
Comment 4 Jan Lahoda 2009-11-20 08:08:37 UTC
Unfortunately, the situation is a bit more difficult. The formatting does not wait for the scan to finish (pure Java formatting can run concurrently with scan - formatting of Java scriptlets in JSP cannot), but is waiting in a queue for a canceled Go to Declaration to finish, which is waiting for the scan to finish. When the scan finishes, GtD is woken up and cancels itself, but that is useless in this case.

As a separate concern, 50 minutes for scan seem quite a lot to me - is there anything that you could tell us about your project and setting? E.g. how many files it contains, what kinds of files, how many megabytes of sources and jars it contains, if the project/homedir/${userdir} are on slow media (e.g. network disk), how much physical memory do you have, custom memory settings for the IDE, if any, etc.? Thanks.
Comment 5 Vitezslav Stejskal 2009-11-20 08:49:25 UTC
I think I already interrogated Stefan about his setup in issue #168328. One thing that you should keep in mind is that he's got a significant portion of scanned files on a network drive. But even with that 50 minutes is quite a long time. I'll have a look in the log file, if I can see some obvious problem why scanning took so long.

Also, Stefan, I can see from the log file that you are you using that Scan-On-Demand module. Please note that this is not an officially supported plugin and it may have (and actually it most likely has) adverse/unknown effect on scanning and the editor/java features. That said, we are very very reluctant to even analyze defects with this plug installed and turned on. Sorry, but with this plugin anything is possible.
Comment 6 stefan79 2009-11-20 08:51:19 UTC
-) E:/Entwicklung65: Standard-Java-Projekt
  *) src: 3500 Java-Files
  *) build/classes: 5500 Classes
-) Library
  *) H:/src: 25.000 Java-Files
  *) H:/build/classes: 45.000 Class-Files
  *) Additional Jar-File: 3500 Classes

No Network-Drive!

I think the scanning was until one week ago faster than now.

> but is waiting in a queue for a canceled Go to Declaration to finish,
Very strange constellation.
Comment 7 stefan79 2009-11-20 08:55:15 UTC
(In reply to comment #5)
> I think I already interrogated Stefan about his setup in issue #168328. One
> thing that you should keep in mind is that he's got a significant portion of
> scanned files on a network drive. But even with that 50 minutes is quite a long
> time. I'll have a look in the log file, if I can see some obvious problem why
> scanning took so long.
I changed my configuration and make every night a sync to my local-drive.


> Also, Stefan, I can see from the log file that you are you using that
> Scan-On-Demand module. Please note that this is not an officially supported
> plugin and it may have (and actually it most likely has) adverse/unknown effect
> on scanning and the editor/java features. That said, we are very very reluctant
> to even analyze defects with this plug installed and turned on. Sorry, but with
> this plugin anything is possible.
I hopped this module can removes the scanning-bugs, but I think I wait, until this works better.
Comment 8 Quality Engineering 2009-12-01 03:03:32 UTC
Integrated into 'main-golden', will be available in build *200912010200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dea778a478f0
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #177261: no need to compute classes to recompile for binary roots.
Comment 9 ulfzibis 2011-03-01 15:31:02 UTC
Similar bug 166668 "First process collapsing code folds" should be valued as DEFECT too.
Comment 10 Tomas Zezula 2012-02-09 09:06:00 UTC
Fixed jet-main 41985eb45913


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo